## vsmartcard 3.3+dfsg

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/* ../docs/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) ../docs
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/../docs."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/VirtualSmartcardArchitecture.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/VirtualSmartcardArchitecture.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/VirtualSmartcardArchitecture"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/VirtualSmartcardArchitecture"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
vsmartcard (3.3+dfsg-2ubuntu1) lunar; urgency=high

  * d/p/crypto_to_cryptodome_module.patch: Fixes module not found error.
    (lp: #2007568)

  [ Michael Weghorn ]
  * python3-virtualsmartcard.install: Install to dist-packages instead of
    site-packages.

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Thu, 16 Feb 2023 09:46:03 -0300

vsmartcard (3.3+dfsg-2) unstable; urgency=medium

  * Python generic path handling (Closes: #975200).
  * Fix lintian warns.

 -- Philippe Thierry <philou@debian.org>  Thu, 19 Nov 2020 11:33:51 +0100

vsmartcard (3.3+dfsg-1.2) unstable; urgency=medium

  * Lintian fix: bad mintainer release version.

 -- Philippe Thierry <philou@debian.org>  Thu, 22 Oct 2020 15:47:42 +0200

vsmartcard (3.3+dfsg-1.1) unstable; urgency=medium

  * Fixing autopkgtest environment requirements.

 -- Philippe Thierry <philou@debian.org>  Mon, 27 Jul 2020 09:22:13 +0200

vsmartcard (3.3+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #962948).

 -- Philippe Thierry <philou@debian.org>  Tue, 16 Jun 2020 09:33:05 +0200

=== debian/control ===
Source: vsmartcard
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Philippe Thierry <philou@debian.org>
X-Python3-Version: >= 3.7
Rules-Requires-Root: no
Build-Depends:
 debhelper (>=13),
 dh-python,
 python3-all,
 python3-setuptools,
 gengetopt,
 automake,
 autoconf,
 libtool,
 pkg-config,
 help2man,
 libnfc-dev,
 libpcsclite-dev,
 libqrencode-dev
Homepage: https://frankmorgner.github.io/vsmartcard/
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/philou/vsmartcard.git
Vcs-Browser: https://salsa.debian.org/philou/vsmartcard

Package: python3-virtualsmartcard
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Smartcard emulator library in Python
 This package frobnicates a Python-based doohicky so that you no longer
 need to kludge a dingus to make the doodads work.
 .
 This package installs the library for Python 3.


Package: vsmartcard-vpicc
Architecture: all
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${python3:Depends},
 python3-virtualsmartcard,
Recommends: vsmartcard-vpcd
Description: Smartcard emulator in Python
 Vpicc emulator connects to the virtual smart card reader (vpcd)
 listening locally or on a remote host.
 .
 Smart card applications can access the Virtual Smart Card through the
 vpcd driver via PC/SC, where vpcd is installed.
 .
 This package is built for Python 3.

Package: vsmartcard-vpcd
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 pcscd
Recommends: vsmartcard-vpicc
Architecture: any
Description: Smart card reader driver for PCSC-lite
 vpcd allows smart card applications to access the vpicc through
 the PC/SC API.  By default vpcd opens slots for communication with
 multiple vpicc's on localhost on port 35963 and port 35964.
 .
 The |vpicc| does not need to run on the same machine as the vpcd,
 and can connect over the internet for example.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export WITH_DYNAMIC_LIBS = 1
export VIRTUALSMARTCARD_DIR=$(CURDIR)/virtualsmartcard
export PSCSRELAY_DIR=$(CURDIR)/pcsc-relay
# Uncomment this to turn on verbose mode.
DH_VERBOSE=1

# here, the python library is built using autoconf/automake build system. Thus, autoreconf buildsystem is forced.
%:
	dh $@ --with autoreconf,python3 --buildsystem=autoconf --sourcedirectory=$(CURDIR)/virtualsmartcard

# adding custom options at configure step
override_dh_autoreconf:
	dh_autoreconf $(CURDIR)/debian/autogen.sh

override_dh_auto_configure:
	dh_auto_configure --sourcedirectory=$(CURDIR)/virtualsmartcard -- --enable-serialconfdir=/etc/reader.conf.d --enable-serialdropdir=/usr/lib/pcsc/drivers/serial


override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

# this target is to be executed out of automatic compilation steps. The output, vicc.1
# has to be keeped in the git repository
genman:
	go-md2man -in debian/vicc.1.md -out debian/vicc.1
	go-md2man -in debian/vpcd-config.1.md -out debian/vpcd-config.1
	echo "*** This target should not be executed automatically ***"
	echo "*** as a consequence, it always return an error      ***"
	echo "*** be sure to update the man page when the markdown ***"
	echo "*** file is updated                                  ***"
	exit 1

=== debian/tests/control ===
Tests: vpcd.sh
Restrictions: allow-stderr, isolation-container, needs-root
Depends: @, net-tools, gawk
